2023-01-30 13:00 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005779KidGloves[All Projects] Generalpublic2022-12-22 12:07
ReporterTobias Soederlund 
Assigned ToDJ MikeProject InfoKid Gloves (Logotron)
http://www.whdload.de/games/KidGloves.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0005779: While running from disk the projectiles fired bounces around on most of the
DescriptionGameVersion: english,pal,1 disk
SlaveVersion: 1.3 from 14.04.2022

While running from disk the projectiles fired bounces around on most of the objects in the environment until reaching the ground. While running woth WHDLoad the projectiles falls straight through most of the platforms and objects (not all) which makes the game way harder since you can no longer bounce projectiles on a platform you are standing on to reach an enemy in front of you... it simply falls through the floor/platform down to the ground (with a few exceptions).
TagsNo tags attached.
MachineA1200
CPU68030
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.1.4
KickROM46 - Kick 3.1.4
KickSoftNone
WHDLoad18.8
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0012151

DJ Mike (developer)

I have a fix for this along with a few other issues. Going to add some extra stuff like CD32 controls + trainer and update soon.

note ~0012159

DJ Mike (developer)

Alpha version of slave 2.0 attached. Addresses the following issues and adds features:

   - Bug fix to player weapon: projectiles now bounce on platforms again
     (caused by bug in access fault fix in v1.3)
   - Overhauled game's keyboard handling to use ports interrupt.
   - Quit key now works at all times including title screen
   - Fixed incorrect write to bplcon0 (missing color bit setting)
   - Fixed bug in audio player (occasionally wrote to invalid registers)
   - Optional CD32/multi-button controls
     * CUSTOM2=1 sets blue/green/yellow (or button 2/3/4) to jump/bomb/magic
     * CUSTOM2=2 sets blue/green (or button 2/3) to bomb/magic
     * Play button to pause/unpause the game
     * Quit by holding Left Shoulder + Right Shoulder + Up + Yellow
     * Enables CD32 cheat controls if CUSTOM1 setting enabled
   - Set CUSTOM1 to enable trainers - add together the following values to toggle each:
     + 1 to enable in-game cheat keys
     + 2 for invulnerability
     + 4 for infinite lives
     + 8 for infinite bombs
     + 16 for infinite magic
     + 32 for infinite cash
     + 64 for infinite keys
   - Optional in-game cheat keys (and CD32 controls) if enabled:
     * I - toggle invulnerability (CD32 pad: Right Shoulder + Red)
     * O - top-up bombs/magic/cash/keys/vit (CD32 pad: Right Shoulder + Blue)
     * S - open shop (CD32 pad: Right Shoulder + Green)
     * K - toggle infinite keys (CD32 pad: Right Shoulder + Yellow)
     * L - toggle infinite lives (CD32 pad: Left Shoulder + Red)
     * C - toggle infinite cash (CD32 pad: Left Shoulder + Blue)
     * V - toggle infinite magic (CD32 pad: Left Shoulder + Green)
     * B - toggle infinite bombs (CD32 pad: Left Shoulder + Yellow)
     * N - jump to previous level (CD32 pad: Right Shoulder + Left)
     * M - jump to next level (CD32 pad: Right Shoulder + Right)
           (careful - some levels drop you in a trap!)
     NOTE: CD32 cheat controls require CUSTOM2 to be set
   - Game's built-in 'RHIANNON' cheat code now works reliably (not that you need it now!)
   - Settings can be configured from splash screen

Going to look at adding some more icons and tidying up, then I should be good to release assuming no other problems found.

note ~0012160

DJ Mike (developer)

Released now on website.
+Notes

-Issue History
Date Modified Username Field Change
2022-08-24 22:21 administrator New Issue
2022-08-24 22:21 administrator Status new => assigned
2022-08-24 22:21 administrator Assigned To => JOTD
2022-12-18 22:10 DJ Mike Assigned To JOTD => DJ Mike
2022-12-18 22:11 DJ Mike Status assigned => confirmed
2022-12-18 22:11 DJ Mike Note Added: 0012151
2022-12-21 17:17 DJ Mike File Added: KidGloves.Slave
2022-12-21 17:17 DJ Mike Note Added: 0012159
2022-12-22 12:07 DJ Mike Status confirmed => closed
2022-12-22 12:07 DJ Mike Resolution open => fixed
2022-12-22 12:07 DJ Mike Note Added: 0012160
+Issue History